<mat-form-field appearance="fill">
    <mat-label>{{title}}</mat-label>
    <mat-select [value]="selection" (selectionChange)="sort($event.value)">
        <mat-option *ngFor="let value of values" [value]="value.value">
            {{value.viewValue}}
        </mat-option>
    </mat-select>
</mat-form-field>


<button mat-icon-button (click)="changeOrder()">
    <mat-icon *ngIf="orderAsc">arrow_upward</mat-icon>
    <mat-icon *ngIf="!orderAsc">arrow_downward</mat-icon>
</button>